CreateVmInstanceFromVolumeSnapshotGroup
CreateVmInstanceFromVolumeSnapshotGroup
/zstack/vm-instances/from/volume-snapshots/group/{volumeSnapshotGroupUuid}Operation ID
CreateVmInstanceFromVolumeSnapshotGroupSince
4.1.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
volumeSnapshotGroupUuidStringRequiredThe snapshot group UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
instanceOfferingUuidStringThe instance offering UUID.
cpuNumIntegerOptional. The number of CPU cores.
memorySizeLongOptional. The memory size.
l3NetworkUuidsListRequiredThe L3 network UUID.
typeStringOptional. The VM type.
zoneUuidStringOptiona. The zone UUID.
clusterUuidStringOptional. The cluster UUID
hostUuidStringOptional. The host UUID.
primaryStorageUuidForRootVolumeStringThe UUID of the primary storage where the root volume resides.
defaultL3NetworkUuidStringOptional. The default L3 network UUID.
strategyStringOptional. The policy that specifies whether to start a VM instance when the instance is created.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
